Last Comment Bug 759883 - [b2g-bluetooth] Divide out bluetooth specifics from DBusThread object
: [b2g-bluetooth] Divide out bluetooth specifics from DBusThread object
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla17
Assigned To: Kyle Machulis [:qdot]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 13:38 PDT by Kyle Machulis [:qdot]
Modified: 2012-08-08 09:29 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch 1: Move dbus event registration to bluetooth dbus specific code (4.61 KB, patch)
2012-08-07 15:59 PDT, Kyle Machulis [:qdot]
echou: review+
Details | Diff | Splinter Review

Description Kyle Machulis [:qdot] 2012-05-30 13:38:48 PDT
Now that we are dividing out DBus specific functionality into a BluetoothDBusUtils file, move DBus specific functions for bluetooth event filtering to this file also.
Comment 1 Kyle Machulis [:qdot] 2012-07-18 13:29:47 PDT
Nice to have if anyone else ever wanted to use the dbus core we've implemented, but not a blocker on b2g-bluetooth or kilimanjaro
Comment 2 Kyle Machulis [:qdot] 2012-08-07 15:59:35 PDT
Created attachment 649852 [details] [diff] [review]
Patch 1: Move dbus event registration to bluetooth dbus specific code
Comment 3 Eric Chou [:ericchou] [:echou] 2012-08-07 20:50:22 PDT
Comment on attachment 649852 [details] [diff] [review]
Patch 1: Move dbus event registration to bluetooth dbus specific code

Looks good to me. 

I noticed that DBUS_SIGNALS will not be used at any other place if this patch is applied. Please check if it's o.k to remove it.
Comment 4 Kyle Machulis [:qdot] 2012-08-07 21:16:46 PDT
DBUS_SIGNALS nit picked.

https://hg.mozilla.org/integration/mozilla-inbound/rev/9215610e05a1
Comment 5 Ed Morley [:emorley] 2012-08-08 09:29:19 PDT
https://hg.mozilla.org/mozilla-central/rev/9215610e05a1

Note You need to log in before you can comment on or make changes to this bug.